Skip to main content
GET
/
v1
/
workflow-policies
/
{projectID}
Get workflow policy
curl --request GET \
  --url https://api.strait.dev/v1/workflow-policies/{projectID} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "max_depth": 123,
  "max_fan_out": 123,
  "project_id": "<string>",
  "require_approval_for_deploy": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "$schema": "<string>",
  "forbidden_step_types": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

projectID
string
required

Response

OK

created_at
string<date-time>
required
id
string
required
max_depth
integer<int64>
required
max_fan_out
integer<int64>
required
project_id
string
required
require_approval_for_deploy
boolean
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/WorkflowPolicy.json"

forbidden_step_types
string[] | null